%define upstream_name Cache_Lite
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.7.15
Release:     	%mkrel 2
Summary:    	Fast and Safe little cache system
License:    	LGPL
Group:       	Development/PHP
URL:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:    	php-pear >= 1.5.4
BuildArch:  	noarch

%description
This package is a little cache system optimized for file containers. It is
fast and safe (because it
        uses file locking and/or anti-corruption tests).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache_Lite.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Cache_Lite.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Cache_Lite
fi

%files
%defattr(-,root,root)
%doc docs/Cache_Lite/*
%{peardir}/*
%{xmldir}/Cache_Lite.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.7.15-2.mga4
+ Revision: 527977
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 1.7.15-1.mga4
+ Revision: 443113
- upgrade to version 1.7.15
- removed Hashed_Cache_Lite.php.bz2
 * this hasn't been included for some time.
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.7.12-4.mga3
+ Revision: 375894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 spuhler <spuhler> 1.7.12-3.mga2
+ Revision: 175051
- upgrade to 1.7.12

* Sun Jan 16 2011 spuhler <spuhler> 1.7.8-3.mga1
+ Revision: 20367
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Cache_Lite


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.8-3mdv2011.0
+ Revision: 607090
- rebuild

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.8-2mdv2010.1
+ Revision: 478288
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.8-1mdv2010.0
+ Revision: 394091
- update to new version 1.7.8

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.7-1mdv2009.1
+ Revision: 357905
- update to new version 1.7.7

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 1.7.5-1mdv2009.1
+ Revision: 333193
- update to new version 1.7.5

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.4-2mdv2009.1
+ Revision: 321799
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.4-1mdv2009.0
+ Revision: 272581
- 1.7.4

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.7.2-4mdv2009.0
+ Revision: 224687
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-3mdv2008.1
+ Revision: 178500
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.7.2-2mdv2008.0
+ Revision: 64201
- rebuild

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-1mdv2008.0
+ Revision: 15533
- 1.7.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.1-1mdv2007.0
+ Revision: 81072
- Import php-pear-Cache_Lite

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.1-1mdk
- 1.7.1

* Sat Apr 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdk
- 1.7.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-1mdk
- 1.6.0
- added the Hashed_Cache_Lite.php class from phpgacl-3.3.6

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-1mdk
- 1.5.2

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- initial Mandriva package (PLD import)

